package com.engine.salary.mapper.datacollection;

import com.engine.salary.entity.datacollection.dto.AttendQuoteDataBaseDTO;
import com.engine.salary.entity.datacollection.param.AttendQuoteDataQueryParam;
import com.engine.salary.entity.datacollection.po.AttendQuoteDataPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;


public interface AttendQuoteDataMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<AttendQuoteDataPO> listAll();


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	AttendQuoteDataPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param AttendQuoteDataPO 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(AttendQuoteDataPO AttendQuoteDataPO);
	
	/**
     * 修改，修改所有字段
     *
     * @param AttendQuoteDataPO 修改的记录
     * @return 返回影响行数
     */
	int update(AttendQuoteDataPO AttendQuoteDataPO);
	
	/**
     * 修改，忽略null字段
     *
     * @param AttendQuoteDataPO 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(AttendQuoteDataPO AttendQuoteDataPO);
	
	/**
     * 删除记录
     *
     * @param AttendQuoteDataPO 待删除的记录
     * @return 返回影响行数
     */
	int delete(AttendQuoteDataPO AttendQuoteDataPO);


	/**
	 * 批量删除数据采集-考勤引用数据
	 * @param attendQuoteIds
	 */
	void deleteByAttendQuoteIds(@Param("attendQuoteIds") Collection<Long> attendQuoteIds);

	/**
	 * 批量插入数据采集-考勤引用数据
	 * @param pos
	 */
	void insertData(@Param("collection") List<AttendQuoteDataPO> pos);

	/**
	 * 查询数据采集-考勤引用数据列表
	 * @param param
	 * @return
	 */
	List<AttendQuoteDataBaseDTO> list(@Param("param") AttendQuoteDataQueryParam param);


	List<AttendQuoteDataPO> listSome(@Param("param")  AttendQuoteDataQueryParam param);
}